Introduction to Comodo Registry Cleaner

User Guide

Introduction to COMODO Registry Cleaner

COMODO Registry Cleaner is an application designed specifically for the Microsoft Windows operating system. Its purpose is to remove obsolete or unwanted items from Windows registry in order to improve the stability and performance of your computer. Such items may include information left by software that has otherwise been removed from the computer, information that is no longer of use, or keys used by malware.

Windows Registry problems can make a Windows system slower, less reliable, unbootable, and in extreme cases can only be fixed by reinstalling the operating system - that is why you really need COMODO Registry Cleaner.

  • COMODO Registry Cleaner conducts a deep scan of your Windows Registry to remove corrupt and unnecessary entries that are causing system slow down and other errors.
  • Comprehensive backup system allows you to easily undo any changes.
  • You can schedule Scans to run automatically at a time you prefer.
  • Program Start-up manager features helps deliver even greater performance boosts.
  • You can maximize the stability and performance of your PC without paying a penny.

This guide is intended to take the user through the installation, configuration and use of COMODO Registry Cleaner.

System Requirements

COMODO Registry Cleaner - 32 bit: | COMODO Registry Cleaner - 64 bit:
Operating Systems Windows Vista 32 bit Windows XP 32 bit Windows 2000 Windows 2003 Server 32bit | Operating Systems Windows Vista 64 bit Windows XP 64 bit Windows 2003 Server 64 bit

©2008 C.O.M.O.D.O GROUP ALL RIGHTS RESERVED


Installing Comodo Registry Cleaner

Installing COMODO Registry Cleaner

Before you install COMODO Registry Cleaner, please make sure to quit all other Windows programs. The COMODO Registry Cleaner installer require administrative privileges on the computer.

After downloading the COMODO Registry Cleaner setup file to your local hard drive, double click on Setup.exe to start the installation wizard.

Click Next to continue.

In order to finalize installation, you must first read and accept the license agreement:

Tick off radio button alongside 'I accept the terms in the License Agreement' and click 'Next' to accept and continue installation. Click 'Cancel' to decline and exit the installation.

Click Browse to choose where COMODO Registry Cleaner will be installed.

The default path would be C:\Program Files\COMODO\Registry Cleaner

Click 'Next' to continue.

Click Next If you want to create the program's shortcuts in the default folder COMODO\Registry Cleaner or click Browse to set a different folder. If you don't want to create the shortcuts, select the check box alongside Don't create a Start Menu folder.

To create a desktop icon and/or a quick launch icon, select the respective check boxes and click Next to continue.

A confirmation dialog box will be displayed. Click on 'Back' button to review/change any of settings you specified before or press 'Install' to continue with installation process.

A setup status dialog box is displayed. You will see a progress bar indicating that files are being installed.

If you would like to receive news about Comodo products; product updates and special offers, enter your email address at the following screen and check the box stating "Sign me up for news about COMODO products". If not, simply click 'Next'.

Click 'Finish' to complete installation.

Next: Starting COMODO Registry Cleaner


Starting Registry Cleaner

Starting COMODO Registry Cleaner

You can access COMODO Registry Cleaner through the Windows Start Menu or through the desktop shortcut.

1. Start Menu

After downloading and installing a COMODO Registry Cleaner, the setup procedure creates an entry in the 'Programs' section of Windows Start Menu. You can start COMODO Registry Cleaner by hitting the 'Start' button and navigating to: Start > All Programs > COMODO > Registry Cleaner > COMODO Registry Cleaner.

2. Desktop Shortcut

Users can also start COMODO Registry Cleaner by double-clicking on the desktop shortcut created during installation:

3. Quick Launch

Users can start COMODO Registry Cleaner by clicking on the quick launch icon created during installation:


General Navigation and the summary screen

General Navigation and the Summary screen

After installation, COMODO Registry Cleaner starts maintaining your registry healthy.

Tip: See Starting COMODO Registry Cleaner if you are unsure of how to access the main interface.

Persistent Navigation

COMODO Registry Cleaner is divided into four main areas indicated by the icons at the top right hand corner of the interface. Each of these areas contains several sub-sections that provide total control over configuration of the cleaner. These icons are ever-present and can be accessed at all times.

  • Summary - Contains at-a-glance details of important Registry Cleaner settings, activity and other information. See the 'Summary' section (below) for more details on this area.
  • Optimize - Clicking this icon will take you to the Optimize section, which provides optimization and performance features for your computer.
  • Start-up - Clicking this icon will take you to the Start-up section, which allows you manage your Windows operating system startup folder.
  • Miscellaneous - Clicking this icon will take you to the 'Miscellaneous' options section which contains several areas relating to overall configuration.

Registry Cleaner Summary

By default, the management interface displays the 'Summary' area information. You can access this area at any time by selecting the 'Summary' tab as shown above.

  1. Summary
    • Statistics - Contains the information on the last scan date and time, a summary of the last scan results, etc.

      Scan My Registry - Quick-start registry scan button.

    • System Information- Shows CPU type and model, physical memory size, version of Windows operating system.

  2. Highlights - This section displays information about News related to COMODO products. Clicking on the text in the Highlights box takes you to the COMODO website to read more details.
  3. Schedule- This section allows you to set schedule of scanning for problems in registry. More...
  4. Tip of the Day - This section contains helps you to use COMODO Registry Cleaner to its maximum potential by displaying information about features you may have missed.


Quick Start with Comodo Registry Cleaner

Quick Start with COMODO Registry Cleaner

Start scanning Windows Registry

COMODO Registry Cleaner allows you scan Windows Registry for problems in two ways: Full Scan (default) and Custom Scan.

  1. To start full scan simply click the 'Scan My Registry' button in the Summary Section to run your Windows registry scan.

    Alternatively, switch to Optimize section and specify your settings for custom scan.

  2. A warning dialog appears asking you to close all the other applications. Quit all the other running applications and click OK.

  3. The application switches to the backup/restore option of the Optimize section. (This option lets you backup Windows Registry files which were deleted after the scanning process. This way you can use the backup to restore the registry to the initial status in case you encounter some system failure.)

  4. The scan results screen displays at the end of the scan. No registry changes are implemented until you click the 'Clean-up' button on this screen.

  5. Click 'Done' when completed.

See also Adding Entries to Filter Entries or Ignore list

Restoring Windows Registry from backup

To restore the registry in case you encounter some system failure

  1. Switch to Back-up tab of 'Optimize' section;
  2. Select 'Back-up' from the left panel of the application;
  3. Right-click on the backup name you need to return to;
  4. Select 'Restore' from the menu;
  5. Confirm adding information into Windows Registry in Windows Registry Editor's dialog:

Informational messages about succeed modification appear:
Windows Registry Editor.


Optimize Section

Optimize Section

The 'Optimize' section contains Clean-up and Back-up options. The Clean-up activity optimizes your Windows Registry by eliminating junk and obselete registry entries that cause crashes, system slow down and other errors. The comprehensive backup system allows you to easily undo any changes.

You have the following options to choose from:

  • Clean-up: Allows you to configure custom registry scan and clean settings, start scan, add filter entries, add entries to ignore list.
  • Back-up: Allows you to backup/restore Windows Registry.

Clean-up Tab

  • Start-up Locations - Windows Registry items that are set to run at Windows startup in this section of the registry. These registry entries contain references to the locations of these items on the hard drive. COMODO Registry Cleaner removes startup items from the registry that no longer exist at their specified locations on the hard drive.
  • Application Paths - The Windows system supports "per application" paths. If an application registers a path, Windows sets the PATH environment variable as the registered path when it starts that application. When the application no longer exists, related information may be deleted safely - COMODO Registry Cleaner searches for such entries and removes them.
  • Shared Dlls - Libraries that offer some form of sharing, allowing the same library to be used by multiple programs at the same time. COMODO Registry Cleaner removes share control files entries from the registry that no longer exist.
  • Font Locations - Fonts that are registered in the fonts folder of the Windows operating system. COMODO Registry Cleaner detects the registry entries which reference fonts that no longer exist in the Windows fonts folder and removes them.
  • Uninstall Locations - After uninstallation of an application the link to the uninstall file may remain in the registry. COMODO Registry Cleaner removes such entries.
  • File Extensions - File extensions that are usually registered in the registry during installation of the application. COMODO Registry Cleaner removes Windows file extensions that are no longer associated with applications installed on your system.
  • COM and ActiveX - The Registry Cleaner scans for COM/ActiveX object that refer to a non-existing file. This reference is considered invalid and it is removed.
  • Help Locations - All installed application should register their help files in this section of Windows Registry. COMODO Registry Cleaner searches for those of them, which don't exist any more.
  • Shared Folders - The Registry Cleaner checks every path in the Shared Folders section. If a folder referenced by a path doesn't physically exist, Registry Cleaner removes the path from this registry key.
  • System Services - The Registry Cleaner checks every path in the System Services section. If a path doesn't physically exist, Registry Cleaner removes the path from this registry key.
  • Menu Order - The Registry Cleaner checks every entry in the Menu Order section . If the entry doesn't physically exist at Start-> Programs , Registry Cleaner removes the entry from this registry key.
  • In-depth Search - The Registry Cleaner scans all the paths from Software location. If an entry doesn't physically exist, Registry Cleaner removes the entry from the Software registry key.
  • Filter Entries - The Registry Cleaner searches the registry for a specific name entered by the user. After the search, Registry Cleaner can remove all the references for the specific name found in the registry.
  • Ignore List - Some registry locations can be specifed here using their names, so that the Comodo Registry Cleaner ignores those registry locations during scanning.
  • Unsafe Entries - There are values or keys from the Registry files, found in Scanned locations ( Startup, Com and Activex etc) which are not recommended to be deleted because this can affect the system.
Toggle Selection is useful to quickly switch between scan profiles.

Back-up Tab

The backup/restore tab allows you backup Windows Registry so you can use it to restore the registry to the current status in case you encounter some system failure or if you want to undo any changes.

By default, the COMODO Registry Cleaner automatically creates a backup of the entries it changes in the Windows Registry before each scan. You can disable this option in Settings tab of the 'Miscellaneous' section.

NOTE: We strongly recommend not to disable back-up option!

See also: Restoring Windows Registry from backup.


Adding Entries to Filter Entries or Ignore list

Adding Entries to Filter Entries or Ignore list

COMODO Registry Cleaner provides you with convenient filter entry/ignore list features. You can use it to scan the registry for specified values and remove them after each scan and ignore from scan some registry locations.

To add new filter entry or ignore list entry you need:

  1. Switch to 'Optimize' section 'Clean-up' tab.
  2. Click on 'Filter Entries' (or 'Ignore List') button.

  3. In the dialog that appears, enter the name of the entry to be filtered in the Insert new entry box and click on Add button.

You can get the correct entry name in two ways:

i) Provided by COMODO Registry Cleaner:

  1. Start the registry scan;
  2. After scan is completed, but before registry is cleaned, right-click on key name you want to add to filter entries/ignore list.

  3. Select 'Go to Registry' link;
  4. Once there, click 'Edit > Copy Key Name'. Then you can paste this name into the 'Ignore' or 'Add' fields.
ii) Hitting the 'Start' button and navigating to: Run - enter REGEDIT command. This launches Windows Registry Editor. Find the needed key, right click on it's name, and select 'Copy Key Name'. (We advise you to follow these steps only if you are an advanced user! )


Start-up Section

Start-up Section

This section allows you modify your start-up entries. When you click 'Start-up' you see a list of start-up entries. (These are the current user entries.)

You can add entries by user type. Click on 'Add' button to start.

Enter path to the application manually or use 'Browse' button.

NOTE: You must specify the exact path to the startup file of the application!

Types of users:

Current user - inserting a startup item into this hive means the chosen .exe will run at start up after the current user logs in to the machine.
Local Machine - inserting a startup item into this hive means the chosen .exe will run at start up for every user.

To remove entry select the name in the list of startups and click on 'Remove' button. (see below)

Right-click on the application's name also allows you quick access to the following:

From here you can launch the application, open the location folder, view properties (see below), enable/disable it startup file (check/uncheck the box alongside application's name), remove it from the list of startups.


Miscellaneous Overview

Miscellaneous Overview

The 'Miscellaneous' section contains several areas related to overall configuration as well as handy utilities and shortcuts to help enhance and improve your COMODO Registry Cleaner experience.

You have the following options to choose from:

  • Settings: Allows the user to configure general COMODO Registry Cleaner settings.
  • Diagnostics: Helps identify any problems with your installation.
  • Check For Updates: Launches the COMODO Registry Cleaner updater.
  • Browse Support Forums: Link to Comodo User Forums.
  • Help: Launches this help guide
  • About: Displays version and copy-right information about the product.


Settings

Miscellaneous Section

Settings

The 'Settings' dialog box allows you to configure various options related to the operation of COMODO Registry Cleaner and can be accessed by clicking the 'Miscellaneous' button followed by 'Settings'.

Automatically run program at Windows start-up - With this option checked, COMODO Registry Cleaner will be automatically loaded every time you start your computer.

Run a Scan when application starts - With this option checked, COMODO Registry Cleaner will automatically scan the Windows Registry every time you run the COMODO Registry Cleaner.

Check for Updates when application starts - With this option checked, COMODO Registry Cleaner will automatically check for updates every time you start the COMODO Registry Cleaner.

Run a registry Scan and Clean - COMODO Registry Cleaner scans and cleans can be scheduled to run at a specific date and time:
Every Day - scan and clean are performed daily;
Every Week - weekly once scan and clean are performed on the specified day (e.g.: If you set the weekly scan and clean on Sunday, this operation will be performed each Sunday since the moment have enabled it. )
Every Month - monthly once scan and clean are performed on the specified day (e.g.: If you set the monthly scan and clean on July, 20th, this operation will be performed each 20th day of next months since the moment you have enabled it. )
Once - single time at specific time and date.

To schedule scan and clean, check the box alongside the needed option, set time and date if needed, and click 'Ok'. The schedule would be saved and scan and clean are performed on the appropriate date and time you specified.

Note: If the user doesn't have a windows password, he can't use scheduled scan and clean option.

Create Backup before Cleaning registry - If enabled, full backup of your Window's Registry will be created before EACH cleaning of the registry. This is the default and highly recommended setting. You can use this backup file to restore the registry to the current status in case you encounter some system failure or if you want to undo any changes.
See also Restoring Windows Registry from backup section.

Prompt for Restore Point before Cleaning registry - When this option is enabled, COMODO Resigtry Cleaner will display a dialog box checking whether you wish to set a system restore point, before starting Registry Clean-up i.e. when you press Clean Registry button in the scan results screen. For more details, see Quick Start with COMODO Registry Cleaner.

Note: Setting a Restore Point allows for the rolling back of system files, registry keys, installed programs and so on, to a previous state i.e. to the time of Restore Point setting, in the event of malfunctioning or failure of the system in future.

If you click Yes, another dialog box will be displayed to check whether you wish to delete a previously created Restore Point and set a new one. If you click No, COMODO Registry Cleaner performs the registry cleaning, without setting a restore Point.

If you click Yes, the previously created restore point will be deleted and a new restore point will be created with the current settings of the system.If you click No, the new restore point will be created without deleting the previously created restore point.

Store logs for registry Clean - If enabled, the COMODO Registry Cleaner logs events history about each scan action and result.

Show log... button - Allows to view logs history. (see below)


Diagnostics

Miscellaneous Section

Diagnostics

COMODO Registry Cleaner contains its own integrity checker. This checker will scan your system to make sure that the application is installed correctly. It will check your computers:

File System - to check that all COMODO Registry Cleaner files are present and have been correctly installed.

The results of the scan will be shown in the following pop-up window.


Check For Updates

Miscellaneous Section

Check For Updates

Updates can be downloaded and installed at any time by clicking the 'Check for Updates' link in Miscellaneous section.

To initiate the update process click the 'Update' button (If you want to download and install the updates later, click the 'Cancel' button.)

A download status dialog box is displayed. You will see a progress bar indicating that files are being dowloaded.

Once download process is completed, click ''Yes' to install the newest version.

After the installation process is completed, click 'OK'.


Help

Miscellaneous Section

Help

Clicking the 'Help' link in the Miscellaneous section will open this help guide. Each area has its own dedicated page containing detailed descriptions of the application's functionality.


Browse Support Forums

Miscellaneous Section

Browse Support Forums

The fastest way to get further assistance on COMODO Registry Cleaner is by posting your question in Comodo Forums, a message board exclusively created for our users to discuss anything related to our products.

Click the 'Browse Support Forums' link to be taken straight to the website at http://forums.comodo.com. Registration is free and you'll benefit from the expert contributions of developers and fellow users alike.

Online Knowledge Base

We also have an online knowledge base and support ticketing system at http://support.comodo.com. Registration is free.


About

Miscellaneous Section

About

Click the 'About' icon in the Miscellaneous Section Summary page to view the 'About' information dialog.

From here you can view information about the Version Number of the COMODO Registry Cleaner that is installed on your computer.


Uninstalling Comodo Registry Cleaner

Uninstalling COMODO Registry Cleaner

To uninstall COMODO Registry Cleaner:

  • Click Start > Settings > Control Panel

  • In the Control Panel, double-click Add/Remove Programs

  • In the list of currently installed programs, click COMODO Registry Cleaner

  • Click the 'Change/Remove' button.
OR

  • Click Start > Programs > COMODO > COMODO Registry Cleaner > Uninstall COMODO Registry Cleaner

    A dialog box will appear to confirm that you want to un-install COMODO Registry Cleaner. Click 'Yes'.

    A warning dialog box appears. Click 'Yes' if you want to keep the back-up files, otherwise click 'No'.

  • Once the uninstallation is finished the following screen would be displayed.


Appendix 1 - Windows Registry

Appendix 1 - Windows Registry

The Windows registry is a database repository for information about a computer's configuration. The registry is organized hierarchically as a tree. It contains information and settings for all the hardware, software, users, preferences of the PC, etc. Whenever a user makes changes to Control Panel settings, file associations, system policies, or most installed software, the changes are reflected and stored in the registry.

The registry is stored in several files which can be viewed as a tree via Windows Registry Editor (see screenshot below).

Registry Editor (the REGEDIT command will allow you to run it) is a tool for viewing and changing settings in your system registry, which contains information about how your computer runs. An advanced user who is prepared to both edit and restore the registry can safely use Registry Editor for such tasks as eliminating duplicate entries or deleting entries for programs that have been uninstalled or deleted.

Problems with the Registry can make a Windows system slower, less reliable, unbootable, and in extreme cases can only be fixed by reinstalling the operating system.